Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002492TestLinkAPI - XMLRPCpublic2009-05-08 22:582010-05-01 20:35
Reporterpmackay 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 2 
Summary0002492: TestLink API 'reportTCResult' should allow custom field results to be imported
DescriptionCurrently the 'reportTCResult' only allows the status, notes and the bugid as parameters (notes and bugid are optional). We need to import optionally other custom fields when reporting results. For example the CF_EXEC_TIME custom field etc.

I have a suggested implementation for the API as an attachment.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon reportTCResultCF.txt [^] (4,639 bytes) 2009-05-08 22:58 [Show Content]

- Relationships

-  Notes
(0007671)
fman (administrator)
2009-07-29 00:33

used code contribution as starting point.
interface changed

- Issue History
Date Modified Username Field Change
2009-05-08 22:58 pmackay New Issue
2009-05-08 22:58 pmackay File Added: reportTCResultCF.txt
2009-05-08 23:09 fman Status new => assigned
2009-05-08 23:09 fman Assigned To => fman
2009-05-14 14:12 mhavlat Severity major => feature request
2009-05-14 14:12 mhavlat Category New Feature => TL API
2009-07-29 00:33 fman Note Added: 0007671
2009-07-29 00:33 fman Status assigned => resolved
2009-07-29 00:33 fman Fixed in Version => 1.9 (DEV)
2009-07-29 00:33 fman Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker